package com.crm.pay.service;

import com.crm.rely.backend.model.entity.finance.deposit.FinanceDepositAddEntity;
import org.hibernate.service.spi.ServiceException;
import org.springframework.web.multipart.MultipartFile;


public interface TelegraphicPayService {

    /**
     * 支付
     *
     * @param balanceSaveEntity
     * @return
     * @throws Exception
     */
    void pay(FinanceDepositAddEntity balanceSaveEntity) throws Exception;

    void validated(MultipartFile file) throws ServiceException;

    String uploadFile(Long customId,MultipartFile file) throws Exception;
}
